	
	$(function() {
		load(1);
	});
	function load(page){
		var query=$("#q").val();
		var per_page=$("#per_page").val();
		var parametros = {"action":"ajax","page":page,'query':query,'per_page':per_page};
		$("#loader").fadeIn('slow');
		$.ajax({
			url:'./ajax/permisos_ajax.php',
			data: parametros,
			 beforeSend: function(objeto){
			$("#loader").html("<img src='./img/ajax-loader.gif'>");
		  },
			success:function(data){
				$(".outer_div").html(data).fadeIn('slow');
				$("#loader").html("");
			}
		})
	}
	
	function per_page(valor){
		$("#per_page").val(valor);
		load(1);
		$('.dropdown-menu li' ).removeClass( "active" );
		$("#"+valor).addClass( "active" );
	}
	function sort(id){
		$("#sort").val(id);
		var asc_desc= $("#asc_desc").val();
		if (asc_desc=="asc"){
			$("#asc_desc").val('desc');
			
			
		} else {
			$("#asc_desc").val('asc');
		}
		load(1);
	}
	
	

		
		//La funcion siguiente elimina datos usando el plugins confirm		

		function eliminar(id){
			//https://craftpip.github.io/jquery-confirm/ documentacion
			$.confirm({
				title: 'Mensaje del sistema',
				content: 'Esta acción  eliminará de forma permanente el grupo de usuarios. <br><br> Desea continuar?',
				buttons: {
					somethingElse: {
					text: 'Aceptar',
					btnClass: 'btn-blue',
					
					action: function(){
						var parametros = {"id":id};
						$.ajax({
								type: "GET",	
								url:'ajax/eliminar/grupo.php',
								data: parametros,
								 beforeSend: function(objeto){
								$("#loader").html("<img src='./img/ajax-loader.gif'>");
							  },
								success:function(data){
									$("#resultados_ajax").html(data);
									$("#loader").html("");
									window.setTimeout(function() {
									$(".alert").fadeTo(500, 0).slideUp(500, function(){
									$(this).remove();});}, 5000);
									
									load(1);
								}
							})
				
					}
				},
				    cancelar: function () {
						//No hace nada :P
					}
				}
			});
		}

	
	

$('#all_ver').change(function() {
    var checkboxes = $(".ck");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});
$('#all_mod').change(function() {
    var checkboxes = $(".ck1");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});
$('#all_del').change(function() {
    var checkboxes = $(".ck2");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});


function checked_all(){
$('#all_ver2').change(function() {
    var checkboxes = $(".ck");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});
$('#all_mod2').change(function() {
    var checkboxes = $(".ck1");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});
$('#all_del2').change(function() {
    var checkboxes = $(".ck2");
    if($(this).is(':checked')) {
        checkboxes.prop('checked', true);
    } else {
        checkboxes.prop('checked', false);
    }
});
}


$( "#guardar_permisos" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/registro/agregar_permisos.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Enviando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#permisos_modal').modal('hide');
		  }
	});
  event.preventDefault();
})



$( "#editar_permisos" ).submit(function( event ) {
  $('#actualizar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/modificar/permisos.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Enviando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#permisos_edit').modal('hide');
		  }
	});
  event.preventDefault();
})


		function editar(id){
			var parametros = {"action":"ajax","id":id};
			$.ajax({
					url:'modal/editar/permisos.php',
					data: parametros,
					 beforeSend: function(objeto){
					$("#loader2").html("<img src='./img/ajax-loader.gif'>");
				  },
					success:function(data){
						$(".outer_div2").html(data).fadeIn('slow');
						$("#loader2").html("");
						checked_all();
					}
				})
		}
